version=3.7
;DLL-name;                            typ(0,1,2); stat_sz; track_sz;     
;                                                             note;sample;volume;   
;                                                                            maxchannels;attributes;shortname
"master"                                              0  5  0    0   0   0   0  0 Master


;Generators: (don't change the order here !)
;data is needed for conversion to something else than tracker machines
;of the lines starting with : only the second is used at the moment, the idea was to get
;a possibility of adding a completely new generator here, but's been too hard
;:the first gives (if any) the machine attributes, I need to write into the song (you can change the numbers, not the names!)
;:the second the static :track initialization data : empty static:track data
;for merging this isn't needed at all, new machines only need
;the dll name,typ,stat_sz and track_sz as given in the help file,
;add zeroes for the rest
;for the generators you should change the shortnames and the max channels numbers only
;index 1
;:global settings: settings to set the param sliders to : values to use as "no value" in pattern editors
;:global settings: param settings : global "no values" : param "no values"
;:7F 00 : 00 FF FF : FF FF : 00 FF FF
;
;Extra documentation about machine parameters: Lee du-Caine


"Jeskola XS-1"                                        1  8  4    1   0   2  32  1 XS-1
:1 Enable MIDI:0 
:40 40 40 40 40 40 40 40 :0 ff ff 0 :ff ff ff ff ff ff ff ff :0 ff ff 0 

"Jeskola Tracker"                                     1  1  5	 1   2   3  18  3 Tracker
:3  Ramp Time (ms):1 Interpolation:1  Envelope Length:0x01f4
:6:0 0 ff 0 0:0:0 0 ff 0 0
Special=JeskolaTracker

"Matilde Tracker"                                     1  0  7    1   2   3  16  2 MaT(S)
:2 Volume Ramp (ms):1 Volume Envelope Span (ticks):64 
::0 0 ff ff 0 ff 0 ::0 0 ff ff 0 ff 0 
Special=MatildeTracker

"Matilde Tracker (Mono)"                              1  0  7    1   2   3  16  2 MaT(M)
:2 Volume Ramp (ms):1 Volume Envelope Span (ticks):64 
::0 0 ff ff 0 ff 0 ::0 0 ff ff 0 ff 0 
Special=MatildeTracker

"CyanPhase mC-1"                                      1  2  3    1   0   2  12  4 mC-1
:4 MIDI Channel:0 MIDI Transpose (-24..24 smt):24 MIDI Recording Enabled:1 MIDI Note Delay Used:1
:7F 00 : 00 FF FF : FF FF : 00 FF FF

"BTDSys PeerChord Lite"                               1  0 13    1   0   3  16  5 PeerCho
:5 MIDI Channel (0=off):0 MIDI Track:0 MIDI Transpose (-24..0..+24):24 Use MIDI Velocity:0 MIDI Snap To Tick:0 
::0 0 0 80 0 0 0 20 0 4 80 1 0 ::0 ff ff ff ff ff ff ff ff ff 0 ff ff 

;the MIDI out machine (index 9 or dopfun=8)
;this machine is treated a bit different sometimes:
;  -volume range 0...0xfe is scaled to velocity range 0...0x7f
"vMidiOut"                                            1  0 10    1   0   2  16  2 Midi
:2 MIDI device:0  Method:0
::0 ff	0  0  0 ff ff  ff  ff  0::0 ff	0  0  ff ff ff	ff ff  0
Special=vMidiOut